/*
 * utils.c - utility functions module
 *
 * Copyright (C) 1998, John C. Peterson <mailto:jaypee@netcom.com>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License,
 * version 2. A copy is included in this distribution in the file
 * named "LICENSE".
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License, version 2, for more details.
 *
 * $Id: utils.c,v 1.1 1998/05/05 06:42:23 jcp Exp $
 *
 */

#include <string.h>
#include <ctype.h>

static char kident[5] = "KSAN";

/* -------------------------------------------------------------------------- */

char *strcap(char *str)
{

  char c;
  char *p = str;
  int new_word = 1;

  while ((c=tolower(*p))) {
    if (new_word) c = toupper(c);
    new_word = !isalnum(c) && (c!='\'');
    *(p++) = c;
  }

  return str;

}

/* -------------------------------------------------------------------------- */

char *strkid(char *ident)
{

  if (strlen(ident) == 3) {
    /* test for all alpha characters */
    if (isupper(ident[0]) && isupper(ident[1]) && isupper(ident[2])) {
      (void) memcpy(kident + 1, ident, (size_t)3);
      return kident;
    } else {
      /* not alpha */
      return ident;
    }
  } else {
    /* len != 3 */
    return ident;
  }

}

/* -------------------------------------------------------------------------- */

